extends CharacterBody3D
class_name TmpNode

@export var owner_placeholder: CharacterBody3D = null

func _ready() -> void:
	set_multiplayer_authority(multiplayer.get_unique_id())
	global_position = owner_placeholder.global_position
	
func _physics_process(delta: float) -> void:
	# Add the gravity.
	if not is_on_floor():
		velocity += get_gravity() * delta
	velocity = owner_placeholder.velocity
	move_and_slide()
